package kr.co.iya.base.support;

import java.util.Map;

import org.springframework.context.ApplicationContext;

public abstract class AbstractMeta {

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	protected final class MetaUtil extends AbstractUtil{};

	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	public static final ApplicationContext getApplicationContext() {return MetaUtil.getApplicationContext();}
	
	public static final Map<String,Object> getThreadLocalMap() {return MetaUtil.getThreadLocalMap();}
	
	public static final <T> T getBean(Class<T> type) {return MetaUtil.getBean(type);}
	
	public static final <T> T getBean(String beanId, Class<T> type) {return MetaUtil.getBean(beanId, type);}
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

}