package kr.co.iya.base.support.view;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.servlet.view.AbstractView;

import kr.co.iya.base.support.util.FileUtilPack.FileUtil;
 
public final class AttachFileView extends AbstractView {

	@Autowired
	private FileUtil fileUtil;
	
	@Override
	protected void renderMergedOutputModel(Map<String,Object> model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		Boolean isCheck=true;
		
		if(fileUtil==null) {return;}
		
		if(isCheck && model.containsKey("storePath") && model.containsKey("fileName")) {
			String storePath=(String)model.get("storePath");
			String fileName=(String)model.get("fileName");
			this.fileUtil.pushout(storePath, fileName, request, response);
			isCheck=false;
		}

		if(isCheck && model.containsKey("storePath")) {
			String storePath=(String)model.get("storePath");
			this.fileUtil.pushout(storePath, request, response);
			isCheck=false;
		}
	}
}
